ReferenceProduct
List a product's units
Returns the units of measure defined for the product, with the conversion each one applies to the base unit. Requires `Permissions.Product.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
productId*integerFormat
int32application/json- response
[index: integer]?A unit of measure a product can be traded in, with its conversion to the base unit.
curl -X GET 'https://<your-instance>/api/products/0/units' \ -H 'Authorization: Bearer <access-token>'[ { "depth": 0, "depthInPackaging": 0, "depthInPackagingUnitId": 0, "depthUnitId": 0, "diameter": 0, "diameterInPackaging": 0, "diameterInPackagingUnitId": 0, "diameterUnitId": 0, "dimension": "string", "dimensionUnitId": 0, "guid": "string", "height": 0, "heightInPackaging": 0, "heightInPackagingUnitId": 0, "heightUnitId": 0, "id": 0, "isInvisible": true, "productId": 0, "quantityCoefficient": 0, "unit": 0, "unitId": 0, "unitOrder": 0, "volume": "string", "volumeInPackaging": "string", "volumeInPackagingUnitId": 0, "volumeUnitId": 0, "weight": 0, "weightInPackaging": 0, "weightInPackagingUnitId": 0, "weightUnitId": 0, "width": 0, "widthInPackaging": 0, "widthInPackagingUnitId": 0, "widthUnitId": 0 }]